# Flaschengeist (flaschengeist-frontend)

Dynamischen Managementsystem für Studentenclubs

## Install the dependencies
```bash
yarn install
```

## Plugins
### Build a Plugin
A Flaschengeist-Frontend-Plugin should be placed in `src/plugins`.
It needs a `plugin.ts` File which exports a plugin with the following interface:
```
name: string;
mainRoutes?: PluginRouteConfig[];
outRoutes?: PluginRouteConfig[];
store?: Map<string, Module<any, StateInterface>>;
requiredModules: string[];
version: string;
```

You have to import `FG_Plugin` from `plugins.d.ts`.

### Configure Plugin

You can activate and deactive Plugins in `src/boot/plugins.ts`. You have to set the name of the Plugin into `config.loadModules`.
The order of the plugins is importend!

### Start the app in development mode (hot-code reloading, error reporting, etc.)
```bash
yarn quasar dev
```

### Lint the files
```bash
yarn run lint
```

### Build the app for production
```bash
yarn quasar build
```
<!--
### Customize the configuration
See [Configuring quasar.conf.js](https://quasar.dev/quasar-cli/quasar-conf-js).
-->
